{% extends 'base.html' %}

{% block title %}Images{% endblock %}
{% block active_tab %}Images{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Images</h4>
{#        {{ md.add_button('Create', 'secret_create') }}#}
        {% if not docker_enabled %}
            <p>You did not provide Docker settings when connecting to cluster. You can change it on Clusters page.</p>
        {% endif %}
    </div>

    {% if docker_enabled %}
    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Type</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for image in images %}
                <tr>
                    <td>{{ image.tags[0] }}</td>
                    <td>Local</td>
                    <td class="button-column">
                        {{ md.post_button('Delete', 'delete_outline', 'delete-button', url_for('image_delete', name=image.tags[0])) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
{% endblock %}
